### Function

# PangoCairo create_context

since: 1.22

#### Declaration [src]

    PangoContext*
    pango_cairo_create_context (
      cairo_t* cr
    )

#### Description [src]

Creates a context object set up to match the current transformation and target surface of the Cairo context.

This context can then be used to create a layout using `pango_layout_new()`.

This function is a convenience function that creates a context using the default font map, then updates it to `cr`. If you just need to create a layout for use with `cr` and do not need to access `PangoContext` directly, you can use `pango_cairo_create_layout()` instead.

Available since: 1.22

#### Parameters

`cr`

  Type: `cairo_t`

  A Cairo context.

  The data is owned by the caller of the function.

#### Return value

Type: `PangoContext`

The newly created `PangoContext`.

The caller of the function takes ownership of the data, and is responsible for freeing it.